> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add credential

> Add new credential to user



## OpenAPI

````yaml post /v1/users/credentials
openapi: 3.0.0
info:
  title: Users API
  version: 1.0.0
  description: API for user management and authentication
servers: []
security:
  - bearerAuth: []
tags:
  - name: Registration
    description: User registration operations
  - name: Users
    description: User management operations
  - name: Credentials
    description: Credential management operations
  - name: Password
    description: Password management operations
paths:
  /v1/users/credentials:
    post:
      tags:
        - Credentials
      summary: Add credential
      description: Add new credential to user
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: 44747d90-0687-416e-97dc-03b00605958b
      responses:
        '201':
          description: Credential added successfully
          content:
            application/json:
              schema:
                $ref: 8a602a44-25f9-4390-aa3c-d341ccec611b
        '400':
          $ref: '#/components/responses/ValidationError'
components:
  responses:
    ValidationError:
      description: Invalid input data
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: users.invalid_user_input
            message: Invalid user input data
  schemas:
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````